com.ihr.xbrl.om.xdt.errors

## Class XDTRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ihr.xbrl.om.errors.XBRLRuntimeException
        - - com.ihr.xbrl.om.xdt.errors.XDTRuntimeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XDTDimensionDomainTargetError, XDTDimensionError, XDTDomainMemberTargetError, XDTRepeatedDimensionInInstanceError, XDTXBRLError

      public class XDTRuntimeException
      extends XBRLRuntimeException

  The Class XDTRuntimeException.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XBRLDIE` The Constant XBRLDIE.
    `static java.lang.String` | `XBRLDTE` The Constant XBRLDTE.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTRuntimeException(javax.xml.namespace.QName qError, java.lang.String string)` Instantiates a new XDT runtime exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getQNameError()` Gets the q name error.

    - ### Methods inherited from class com.ihr.xbrl.om.errors.XBRLRuntimeException

      `getCode, getInconsistency, getSerializationException, getValidationException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XBRLDTE

          public static final java.lang.String XBRLDTE

      The Constant XBRLDTE.
      See Also:
        Constant Field Values

    - #### XBRLDIE

          public static final java.lang.String XBRLDIE

      The Constant XBRLDIE.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XDTRuntimeException

          public XDTRuntimeException(javax.xml.namespace.QName qError,
                             java.lang.String string)

      Instantiates a new XDT runtime exception.
      Parameters:
        `qError` - the q error
        `string` - the string

  - ### Method Detail

    - #### getQNameError

          public javax.xml.namespace.QName getQNameError()

      Gets the q name error.
      Returns:
        QName